この先を見通す
==============

「はじめよう｣の章全体を読み通したなら、いまやあなたは、完全な Yii のアプリケーションを作成したことがある、と言うことが出来ます。
その過程で、あなたは HTML フォームを通じてユーザからデータを取得することや、データベースからデータを取得すること、また、ページ付けをしてデータを表示することなど、
必要とされることが多いいくつかの機能を実装する方法を学びました。
また、[Gii](tool-gii.md) を使ってコードを自動的に生成する方法も学びました。
Gii をコード生成に使うと、ウェブ開発のプロセスの大部分が、いくつかのフォームに入力していくだけの簡単な仕事になります。

この節では、Yii フレームワークを使うときの生産性を更に高めるために利用できるリソースについてまとめます。

* ドキュメンテーション
    - 公式ガイド:
      Definitive(最も確実な) という名前が示すように、このガイドは Yii がどのように動作すべきものかを正確に記述し、
      Yii を使用するについての全般的な手引きを提供するものです。
      これは唯一最重要な Yii のチュートリアルであり、Yii のコードを少しでも書く前に読むべきものです。
    - クラスリファレンス:
      これは Yii によって提供される全てのクラスの使用法を記述しています。
      主として、コードを書いている時に、特定のクラス、メソッド、プロパティについて理解したい場合に読まれるべきものです。
      クラスリファレンスの使用は、フレームワーク全体の文脈的な理解が出来てからにするのが最善です。
    - Wiki の記事:
      Wiki の記事は、Yii のユーザが自身の経験に基づいて書いたものです。
      ほとんどの記事は、料理本のレシピのように書かれており、特定の問題を Yii を使って解決する方法を示しています。
      これらの記事の品質は公式ガイドほどには良くないかもしれませんが、
      より広範なトピックをカバーしていることと、たいていは即座に使えるソリューションを提供してくれることにおいて有用なものです。
    - 本
* [エクステンション](http://www.yiiframework.com/extensions/):
  Yii は、ユーザによって作られた数千におよぶエクステンションのライブラリを誇りとしています。
  エクステンションはあなたのアプリケーションに簡単に組み込むことが出来、そうすることでアプリケーションの開発作業をより一層速くて簡単なものにします。
* コミュニティ
    - フォーラム: <http://www.yiiframework.com/forum/>
    - IRC チャット: freenode ネットワーク (<irc://irc.freenode.net/yii>) の #yii チャンネル
    - GitHub: <https://github.com/yiisoft/yii2>
    - Facebook: <https://www.facebook.com/groups/yiitalk/>
    - Twitter: <https://twitter.com/yiiframework>
    - LinkedIn: <https://www.linkedin.com/groups/yii-framework-1483367>
